Subject: libstroke causes crash?

From: Joerg Klemenz <[email-masked]>
Date: Tue, 8 Feb 2000 00:33:00 +0100

I just compiled fvwm 2.3.13 with libstroke (and gnome) enabled. (i use egcs)
Configure finds libstroke, everything ok there. No problems w/ compile.

ldd fvwm2 finds all libraries.

But fvwm now crashes instantly when run. Anyone noticed that? Anyone using
libstroke here?

I will get the CVS version now (like I dont spend enough time with fvwm
already...)

--
joerg klemenz
[email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: "Paul D. Smith" <[email-masked]>
Date: 08 Feb 2000 00:52:23 -0500

%% Joerg Klemenz <[email-masked]> writes:

  jk> But fvwm now crashes instantly when run. Anyone noticed that?
  jk> Anyone using libstroke here?

Some are, but I'm not.  At any rate, if you get a core then a stack
trace is the best first step.  It'll at least let us know if the crash
happens in fvwm or in libstroke... maybe you need a newer version or
something?

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Olivier Chapuis <[email-masked]>
Date: Tue, 08 Feb 2000 07:08:13 +0100

> But fvwm now crashes instantly when run. Anyone noticed that? Anyone using

Hello,
I use libstroke without problems. I used gnome also but currently
not.
Can you give more info ?
- Version of libstroke
- Do you have an error message (.xsession-error or console)
- Do you get a core file. If yes, you can try: gdb fvwm2 core and
then type "where" and send us the output.
- How do you start fvwm ?
- Do you try libstroke without gnome and gnome without libstroke ?
Thanks, Olivier

---

From: Joerg Klemenz <[email-masked]>
Date: Tue, 8 Feb 2000 21:35:54 +0100

> I use libstroke without problems. I used gnome also but currently

OK now that was my legendary incompetence again. I re-installed libstroke (with
make install, and not just dumped it to /lib) and got the CVS version.
I really don't know what went wrong, but it works now. I niticed that the
new binary is ~20k smaller than the crash-version (compiled from 2.3.13).
Thats kinda odd. Looks like something went wrong at the linking stage.
XTerm pops up nicely when I draw a rectangle now.